package models

import (
	"time"
)

type CmContractsReturn struct {
	Id           int       `xorm:"not null pk autoincr comment('自增ID') INT(11)"`
	ContractsId  int       `xorm:"not null default 0 comment('合同ID') INT(11)"`
	ProjectId    int       `xorm:"not null default 0 comment('项目ID') INT(11)"`
	BidsectionId int       `xorm:"not null default 0 comment('标段ID') INT(11)"`
	TreeId       int       `xorm:"not null default 0 comment('项目节ID') INT(11)"`
	Time         time.Time `xorm:"comment('回款日期') DATETIME"`
	Price        string    `xorm:"default 0.00 comment('回款金额') DECIMAL(12,2)"`
	Way          string    `xorm:"comment('回款方式') VARCHAR(32)"`
	CreateUser   string    `xorm:"comment('创建人') VARCHAR(32)"`
	AccountId    int       `xorm:"not null default 0 comment('项目用户ID') INT(11)"`
	Remarks      string    `xorm:"comment('备注') VARCHAR(512)"`
	Annexes      int       `xorm:"default 0 comment('附件数量') TINYINT(2)"`
	CreateTime   time.Time `xorm:"comment('创建时间') DATETIME"`
	UpdateTime   time.Time `xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') TIMESTAMP"`
}
